com.google.gwt.user.client.ui

## Interface HasEnabled

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, ButtonCellBase, Canvas, CheckBox, CustomButton, DateBox, DoubleBox, FileUpload, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, MenuItem, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, TextButtonCell, ToggleButton, ValueBox, ValueBoxBase, ValueListBox, Video

    public interface HasEnabled

A widget that implements this interface can be put in an "enabled" or "disabled" state.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isEnabled()` Returns true if the widget is enabled, false if not.
`void` `setEnabled(boolean enabled)` Sets whether this widget is enabled.

### Method Detail

#### isEnabled

    boolean isEnabled()

Returns true if the widget is enabled, false if not.

#### setEnabled

    void setEnabled(boolean enabled)

Sets whether this widget is enabled.

Parameters:
  `enabled` - `true` to enable the widget, `false` to disable it